Status: Closed

Priority: Normal

Category:

Customer: PORSCHE Product Issue https://www.cip.audi.de/jira/browse/ADE

Numbers: VTB-1964

Department: Affected Products: ADTF 3.11.2

Requester's Priority: Normal Platform: Windows 10 64bit

Support Level: 3rd Level Topic: DeviceTB::DirectShow

Resolution: Workaround Available FAQ Links: https://support.digitalwerk.net/projects/do
wnload-center/wiki/FAQ's#Q-Failed-to-fin
d-configured-Direct-Show-Capture-Devic
e-at-runtime-on-same-machine

Description

Supportanfrage

Wir sind auf ein Problem mit ADTF3 (wahrscheinlich im Allgemeinen) und unserer Webcam gestof3en.

Von der Messtechnik aus kriegen wir leider nur die Webcam "Microsoft® LifeCam Studio(TM)" und beim Starten bekommen wir die
Meldung, dass das Geréat nicht gefunden werden konnte.

Screenshot der Fehlermeldung ist im Anhang.

Wir hatten dann versucht mittels Registryanderung den "FriendlyName" anzupassen, sodass das "Registered"-Zeichen nicht mehr im
Namen auftaucht.

Der Name wird dann so auch wie gedndert im Geratemanager angezeigt, leider scheint ADTF hier den Namen woanders
herzubekommen. Denn der Name der Webcam bleibt in ADTF unverandert und die Fehlermeldung taucht wieder auf.

Wird beim Geratenamen dann "default" eingetragen, funktioniert es. Das Problem scheint das R-Zeichen zu sein, damit kommt
ADTF nicht klar.

In ADTF2 funktioniert die Kamera ohne Probleme, da die Kamera nicht mit Namen angesprochen wird, sondern mit einer ID
("Capture_1"0.3.).

Lésung

Problem ist das registered Zeichen, damit kénnen Properties nicht umgehen.
Ein Workaround wére das Device per ID zu adressieren als Name, zb: device:1.
Dokuticket fur die ":" Syntax erstellt:

e [ADEVTB-1964] - Document how to address Direct Show Capture Device by ID

Ebenso eine FAQ fir das eigentliche Problem

History

#1 - 2021-04-08 09:38 - hidden

- Status changed from New to In Progress

#3 - 2021-04-08 16:40 - hidden

- Status changed from In Progress to Customer Feedback Required
- Topic set to DeviceTB::DirectShow

Hallo Alexander,

du kannst Devices auch direkt ansprechen, dazu wird aber nicht der friendly name verwendet, sondern mit ":"-Syntax gearbeitet.
Siehe dazu die Quellen des Direct Show SDK (./src/examples/src/directshow_capture_device/sdk)

DSlInput.cpp
HRESULT cDSInput::FindCaptureDevice (const char* strDeviceName, IBaseFilter** ppSrcFilter)
{

/) [oool
tUInt32 nNameSeparator = static_cast<tUInt32> (strDeviceSpec.Find(':"));

s
}

d.h. Wenn du zb als Property device:1 setzt, geht es auch.

Wir stellen aber noch mehr Convenience bereit, das DS Capture Device hat eine QML GUI zur Konfiguration, einfach Rechtsklick auf die Source im
Graphen und im Kontextmenu Configure Camera... auswahlen.

Siehe Help/F1 im CE beim DS Capture Device selbst oder

https://support.digitalwerk.net/adtf _addons/adtf-device-toolbox/v3/devicetoolbox_html/page_example directshow_capture_device.html

Taucht deine Webcam da auf ?

#4 - 2021-04-08 16:45 - hidden

- Private changed from No to Yes

#5 - 2021-04-09 06:00 - hidden

- File ADTF3-Webcam-Auswahl.png added

Hallo Florian,

ja, die Kamera taucht via "Configure Camera" in der Liste der auswé&hlbaren Geréate auf, so hatten wir sie bisher auch immer ausgewahlt.
Und da wird die Kamera, obwohl ja in der Registry nun ein anderer Name steht, dennoch der alte Name angezeigt mit dem R-Zeichen.
Dies fuhrt dann am Ende eben zu dem genannten Problem.

Aber danke fur den Hinweis mit dem ":"-Syntax!

#6 - 2021-04-09 12:25 - hidden

Hi Alexander,

ich habe nochmal die QMultimedia Doku durchwalzt, man kann an der Stelle nur den displayName via QML auslesen:

e $(ADTF_DEVICE_TOOLBOX_DIR)/src/examples/bin/demo_camera_config_editor.qml
e https://doc.qt.io/qgt-5/gml-gtmultimedia-camera.html#displayName-prop

d.h. wenn du den Namen von auBBen nicht &ndern kannst, machts leider keinen Sinn.
Die Properties kédnnen nicht mit dem registered Zeichen umgehen.

Ist das fiir dich ein gangbarer Umweg via default oder device:1 ?

#7 - 2021-04-12 06:51 - hidden

Hi Florian,

jain, von auf3en kann ich ihn ja &ndern.
Aber der Weg Uber "device:X" ist ein gangbarer Weg.
Nur sollte das irgendwo auch erwahnt werden, weil ich bin wahrscheinlich am Ende nicht der einzige der tber das Problem stolpert :D

#8 - 2021-04-12 08:28 - hidden

- Project changed from 16 to Public Support

- Subject changed from Zugriff auf Webcam nicht méglich to Could not access webcam within direct show device
- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Support Level changed from 2nd Level to 3rd Level

- Resolution set to Workaround Available

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ADEVTB-1964

- FAQ Links set to
https.//support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Failed-to-find-configured-Direct-Show-Capture-Device-at-runtime-on-same-mac
hine
https://support.digitalwerk.net/adtf_addons/adtf-device-toolbox/v3/devicetoolbox_html/page_example_directshow_capture_device.html
https://doc.qt.io/qt-5/qml-qtmultimedia-camera.html#displayName-prop

Hallo Alexander,

jain, von auB3en kann ich ihn ja &ndern.

Du anderst aber glaube ich den Friendly Name und nicht den Display Name, auf diesen schaut anscheinend die Qt API ?!
Aber der Weg Uber "device:X" ist ein gangbarer Weg.
Nur sollte das irgendwo auch erw&hnt werden, weil ich bin wahrscheinlich am Ende nicht der einzige der Gber das Problem stolpert :D
Naturlich, das wirde ich direkt in die Device TB Doku packen:
e [ADEVTB-1964] - Document how to address Direct Show Capture Device by ID
und eine FAQ bzgl. der Sonderzeichen:

o https:/support.digitalwerk.net/projects/download-center/wiki/FAQ's#Q-Failed-to-find-configured-Direct-Show-Capture-Device-at-runtime-on-sam
e-machine

#9 - 2021-04-12 09:43 - hidden

Hallo Florian,

oh ja, danke fUr den Hinweis.

Ich werde mal schauen ob ich den DisplayName noch &ndern kann.

Aber ansonsten haben wir ja eine Lésung die ja auch besser ist als bei jedem Rechner in der Registry zu pfuschen.
Danke fiur deine Hilfe!

#10 - 2022-01-17 08:17 - hidden
- Status changed from To Be Closed to Closed
